package com.openhis.common.enums.ybenums;

import com.github.pagehelper.util.StringUtil;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 处理方式
 *
 * @author Thanking
 */
@Getter
@AllArgsConstructor
public enum YbDspoWay {

    /**
     * 继续执行医嘱
     */
    CONTINUE("1", "继续执行医嘱"),
    /**
     * 返回修改医嘱
     */
    MODIFY("2", "返回修改医嘱");

    private String value;
    private String description;

    public static YbDspoWay getByValue(String value) {
        if (StringUtil.isEmpty(value)) {
            return null;
        }
        for (YbDspoWay val : values()) {
            if (val.getValue().equals(value)) {
                return val;
            }
        }
        return null;
    }
}
